List PrivateLink region metadata

GET /api/v1/serverless/traffic-filters/metadata

Returns region-specific PrivateLink connectivity metadata. Optionally filter by region or csp. If no matches are found, returns 200 with an empty regions array.

Query parameters

  • region string

    Filter metadata to a specific region (e.g. aws-eu-west-1, azure-australiaeast).

    Minimum length is 1.

  • csp string

    Filter metadata to a specific cloud service provider (aws, azure, gcp).

    Minimum length is 1.

Responses

  • 200 application/json

    Metadata returned.

    Hide response attribute Show response attribute object
    • regions array[object]
      Hide regions attributes Show regions attributes object
      • region string Required

        Serverless region ID (e.g. azure-australiaeast, aws-eu-west-1).

      • csp string Required

        Cloud service provider.

        Values are aws, azure, or gcp.

      • vpc_service_name string Deprecated

        Deprecated. Use private_service_name instead. Kept for backward compatibility.

      • private_service_name string Required

        CSP-specific PrivateLink service identifier. Use the /metadata endpoint to look up the value for your region. See also Private connectivity.

        • AWS: VPC endpoint service name (e.g. com.amazonaws.vpce.eu-west-1.vpce-svc-…).
        • Azure: Private Link Service alias (e.g. australiaeast-prod-….australiaeast.azure.privatelinkservice).
        • GCP: Service Attachment URI.
      • private_hosted_zone_domain_name string Required

        Private DNS suffix for project endpoints in this region. Create DNS records pointing to your Private Endpoint under this zone.

      • availability_zones array[object] Required
        Hide availability_zones attributes Show availability_zones attributes object
        • name string Required
        • id string Required
  • 400 application/json

    Bad request

    Hide response attribute Show response attribute object
    • errors array[object] Required

      An error response returned by the API.

      Hide errors attributes Show errors attributes object

      An error response returned by the API.

      • message string Required

        A human-readable message of the error.

      • code string Required

        An identifier for this type of error.

  • 401 application/json

    Unauthorized

    Hide response attribute Show response attribute object
    • errors array[object] Required

      An error response returned by the API.

      Hide errors attributes Show errors attributes object

      An error response returned by the API.

      • message string Required

        A human-readable message of the error.

      • code string Required

        An identifier for this type of error.

  • 500 application/json

    Internal server error

    Hide response attribute Show response attribute object
    • errors array[object] Required

      An error response returned by the API.

      Hide errors attributes Show errors attributes object

      An error response returned by the API.

      • message string Required

        A human-readable message of the error.

      • code string Required

        An identifier for this type of error.

GET /api/v1/serverless/traffic-filters/metadata
curl \
 --request GET 'https://api.elastic-cloud.com/api/v1/serverless/traffic-filters/metadata' \
 --header "Authorization: $API_KEY"